Qwt User's Guide: QwtCompassMagnetNeedle Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtCompassMagnetNeedle Class Reference

A magnet needle for compass widgets. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtCompassMagnetNeedle:

## Public Types
enum | Style { TriangleStyle , ThinStyle }
| Style of the needle. More...

## Public Member Functions
| QwtCompassMagnetNeedle (Style=TriangleStyle, const QColor &light=Qt::white, const QColor &dark=Qt::red)
| Constructor.
Public Member Functions inherited from QwtDialNeedle
| QwtDialNeedle ()
| Constructor.
virtual | ~QwtDialNeedle ()
| Destructor.
virtual void | setPalette (const QPalette &)
const QPalette & | palette () const
virtual void | draw (QPainter *, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const

## Protected Member Functions
virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const override
Protected Member Functions inherited from QwtDialNeedle
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
| Draw the knob.

## Detailed Description

A magnet needle for compass widgets.

A magnet needle points to two opposite directions indicating north and south.

The following colors are used:

- QPalette::Light
  Used for pointing south
- QPalette::Dark
  Used for pointing north
- QPalette::Base
  Knob (ThinStyle only)

See also
  QwtDial, QwtCompass

Definition at line 127 of file qwt_dial_needle.h.

## Member Enumeration Documentation

## ◆ Style

enum QwtCompassMagnetNeedle::Style

Style of the needle.

Enumerator
TriangleStyle | A needle with a triangular shape.
ThinStyle | A thin needle.

Definition at line 131 of file qwt_dial_needle.h.

## Constructor & Destructor Documentation

## ◆ QwtCompassMagnetNeedle()

QwtCompassMagnetNeedle::QwtCompassMagnetNeedle | ( | Style | style = TriangleStyle,
|  | const QColor & | light = Qt::white,
|  | const QColor & | dark = Qt::red )

Constructor.

Definition at line 350 of file qwt_dial_needle.cpp.

## Member Function Documentation

## ◆ drawNeedle()

void QwtCompassMagnetNeedle::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup ) const
| overrideprotectedvirtual

Draw the needle

Parameters

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.

Definition at line 369 of file qwt_dial_needle.cpp.